using BPA.KitChen.GroupMeal.Core.Common.Const;
using Furion;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Security.Claims;
using System.Text;
using System.Threading.Tasks;

namespace BPA.KitChen.GroupMeal.Core.Common
{
    /// <summary>
    /// 当前用户
    /// </summary>
    public class CurrentUser
    {
        public static string? UserId => App.User?.FindFirst(ClaimConst.CLAINM_USERID)?.Value;

        public static string? TenantId => App.User?.FindFirst(ClaimConst.GroupId)?.Value;

        public static string? Account => App.User?.FindFirst(ClaimConst.CLAINM_ACCOUNT)?.Value;
        public static string? RoleId => App.User?.FindFirst(ClaimConst.RoleId)?.Value;

    }
}
